Parameter (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter

## Class Parameter

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.Parameter

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable
  Direct Known Subclasses:
    ColumnListParameter, ColumnParameter, EnumParameter, FileParameter, ListParameter, ObjectParameter, TabularParameter

      public abstract class Parameter
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable

  Author:
    ceras

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Parameter.ParameterTypology`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameter()`
    `Parameter(String name, Parameter.ParameterTypology type, String description)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getName()`
    `Parameter.ParameterTypology` | `getTypology()`
    `abstract String` | `getValue()`
    `boolean` | `isColumn()`
    `boolean` | `isColumnList()`
    `boolean` | `isEnum()`
    `boolean` | `isFile()`
    `boolean` | `isList()`
    `boolean` | `isObject()`
    `boolean` | `isTabular()`
    `void` | `setDescription(String description)`
    `void` | `setName(String name)`
    `void` | `setTypology(Parameter.ParameterTypology typology)`
    `abstract void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Parameter

          public Parameter()

    - #### Parameter

          public Parameter(String name,
                   Parameter.ParameterTypology type,
                   String description)

      Parameters:
        `name` -
        `type` -
        `description` -
        `defaultValue` -
        `value` -

  - ### Method Detail

    - #### setValue

          public abstract void setValue(String value)

    - #### getValue

          public abstract String getValue()

    - #### getName

          public String getName()

      Returns:
        the name

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - the name to set

    - #### getTypology

          public Parameter.ParameterTypology getTypology()

      Returns:
        the typology

    - #### setTypology

          public void setTypology(Parameter.ParameterTypology typology)

      Parameters:
        `typology` - the typology to set

    - #### getDescription

          public String getDescription()

      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

      Parameters:
        `description` - the description to set

    - #### isObject

          public boolean isObject()

    - #### isTabular

          public boolean isTabular()

    - #### isFile

          public boolean isFile()

    - #### isEnum

          public boolean isEnum()

    - #### isList

          public boolean isList()

    - #### isColumn

          public boolean isColumn()

    - #### isColumnList

          public boolean isColumnList()

Copyright © 2014. All Rights Reserved.